package com.wasu.cs.mvp.IView;

import com.wasu.authsdk.entity.PriceInfo;
import com.wasu.comp.ad.AdView;
import com.wasu.cs.model.DemandProgram;
import com.wasu.cs.model.DemandRecommand;

/**
 * Created by hudong on 16-6-30.
 */
public interface DetailView extends MvpView {

    public void loadAssetDetailSuccess(DemandProgram asset);

    public void loadAssetDetailFailed(int errno, String msg);

    public void queryPriceSuccess(PriceInfo priceInfo, boolean guidtobuy);

    public void queryPriceFailed(int ret, String extra);

    public void loadRecommendSuccess(DemandRecommand recommend);

    public void loadRecommendFailed(int ret, String extra);

    public void loadAdSuccess(AdView view);

    public void loadAdFailed();

    public void adFreeQuerySuccess(int free);

    public void adFreeQueryFailed(int ret, String extra);

    public boolean uiIsFinishing();

    public void fatalError(String msg);

    public void updateFavoriteUi(boolean hasFavorite);

    public void notifyPlayerPriceChanged(int ret, String extra, Object retData);

    public String getEnter();

    public void toastMsg(String msg);
}
